### Method

# Gio ListModel get_n_items

since: 2.44

#### Declaration

    guint
    g_list_model_get_n_items (
      GListModel* list
    )

#### Description

Gets the number of items in `list`.

Depending on the model implementation, calling this function may be less efficient than iterating the list with increasing values for `position` until `g_list_model_get_item()` returns `NULL`.

Available since: 2.44

#### Return value

Type: `guint`

The number of items in `list`.